#
# spec file for package notejot
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           notejot
Version:        3.4.9
Release:        1.8
Summary:        A Sticky Note App
License:        GPL-3.0-only
Group:          Productivity/Office/Other
URL:            https://lainsce.us/
Source:         https://github.com/lainsce/notejot/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libadwaita-1)
Recommends:     %{name}-lang

%description
A sticky notes application for any type of short term notes
or ideas.

%lang_package

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install
%find_lang io.github.lainsce.Notejot %{name}.lang
%fdupes %{buildroot}/%{_datadir}

%files
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/io.github.lainsce.Notejot
%{_datadir}/applications/io.github.lainsce.Notejot.desktop
%{_datadir}/glib-2.0/schemas/io.github.lainsce.Notejot.gschema.xml
%{_datadir}/icons/hicolor/*/apps/io.github.lainsce.Notejot*.??g
%{_datadir}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/metainfo/io.github.lainsce.Notejot.appdata.xml

%files lang -f %{name}.lang

%changelog
* Sun Feb 20 2022 Alexei Podvalsky <avvissu@yandex.by>
- Update to 3.4.9:
  * Release: The Top 100 (3.3.3)
  * Changed: UI now looks better layoutted, is an experiment.
  * Changed: Backend was changed to be more stable than the old
    one.
  * Note: Your notes and notebooks are always saved in
    ~/.var/app/io.github.lainsce.Notejot when using the Flatpak.
* Fri Nov  5 2021 Alexei Podvalsky <avvissu@yandex.by>
- Update to 3.2.0:
  * Fixes #299 (#302)
  * Continue work on pinned notes
  * Make add-note-symbolic use the canvas better
  * 3.1.7 - More UI changes
  * Make new UI for notebook selection plus All Notes Trash
* Fri Oct  8 2021 Alexei Podvalsky <avvissu@yandex.by>
- Update to 3.1.6:
  * The return of the note title as seen on older
    versions and not embedded onto the note.
  * Merge branch 'master' of https://github.com/lainsce/notejot
  * Update READMEs (#289)
* Thu Sep  9 2021 Alexei Podvalsky <avvissu@yandex.by>
- Update to 3.1.4:
  * Fix crash caused by two objects having the same ID (#285)
  * update appdata
  * Merge branch 'master' of https://github.com/lainsce/notejot
  * When moving from trash to a notebook, actually do so.
  * Update de_DE.po (#280)
  * Fix empty state showing a scrollbar when not needed
  * Fix titlebar color when moving to trash or all notes when a
    note is selected
  * Fix READMEs (#276)
  * Update po/README.md (#275)
  * Fix if removing a notebook it accidentally removes all notes
    from other notebooks
  * Update it.po (#274)
  * *
  * Fix permanent window maximization at startup (#272)
  * update data
  * Formatting Improvements (#270)
  * Add more metadata information (#268)
  * Update it.po (#267)
  * Filter notes list by notebook better
  * Create notes inside notebooks if one is selected in the
    notebooks menu
  * Remember window size #263 (#264)
  * clear formatting before applying new formatting (#261)
  * fix formatting of identical text (#262)
  * small stuff
  * Fixing #258 App won't use dark mode when there are no notes
    (#259)
  * 3.1.0 - Many bugfixes and UI and styling changes
  * Update io.github.lainsce.Notejot.appdata.xml.in
  * appcenter stuff back
  * use bindings to hide & show back buttons and close buttons
    (#247)
  * 3.0.5 - Fix #241 - Uneven padding
  * 3.0.5 - Try to fix most slowdowns with the note list and
    leaflet
  * 3.0.5 - Fix #240 - no close button on notes list when folded
  * ...
* Thu May 20 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 3.0.4
  * New UI, added dark mode
  * formatting inside notes
  * Note settings button hiding when necessary
  * "No Open Notes" showing only when it's supposed to
  * Notes' hover being rounded
  * Subtitles are now more intelligent, showing the creation time
    more compactly, and showing the note's first line if it has a period
  * Implement search for notes titles, improve the empty state
  * Notes now can be put into Notebooks, for more categorization
  * Text Size of the Notes can be adjusted in 3 sizes
  * Searchbar is hideable, has a new look
  * Keyboard shortcuts for formatting
  * Added translations
* Thu Apr 30 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.6.3:
    notejot.changes notejot.spec
  * Merge pull request #147 from Justinzobel/patch-1
  * Update README.md
  * 1.6.2 - UI minor fixes
  * 1.6.1 - GLib.Settings
* Mon Jan 13 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.6.0:
  * Merge pull request #146 from cassidyjames/patch-1
  * Update .desktop keywords
  * Merge pull request #143 from meisenzahl/master
  * Downgrade Node.js to fix builds on Travis CI
  * Merge pull request #138 from amivaleo/master
    notejot.changes notejot.spec
  * Merge branch 'master' of https://github.com/lainsce/notejot
* Mon Jul 29 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.5.8:
  * perm issue
  * 
  * Merge branch 'master' of https://github.com/lainsce/notejot
  * 1.5.6
  * Merge pull request #123 from Etamuk/Etamuk-patch-3
  * Merge pull request #124 from Etamuk/patch-1
  * Merge pull request #125 from Etamuk/patch-2
  * Create de_DE.po
  * Update LINGUAS
  * Create FUNDING.yml
  * Update .travis.yml
  * Merge pull request #118 from siigdev/master
* Mon Feb 25 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.5.5:
  * New stuff. Please read the enclosed appdata book.
* Mon Jan 28 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.5.4:
  * New stuff. Please read the enclosed appdata book.
* Sun Dec 16 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.5.3:
  * Merge pull request #106 from 4ugustin/store-pinned-state
  * Stick pinned notes on launch
  * Store pinned state in Storage
  * Merge pull request #105 from 4ugustin/patch-bug-102
  * Fix initial state of pin button #102
  * Update com.github.lainsce.notejot.appdata.xml.in
  * Merge pull request #101 from ryonakano/fix-id-in-appdata
* Sun Nov 25 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.5.2:
  * - new shot
  * 1.4.4 - New pin to desktop button (Applet mode)
  * - New shot
  * - make notes resizable with a tasteful default
* Sun Nov 11 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.5.0:
  * fix postinstall script
  * fix a small bug
  * Some UI fixes
  * Merge pull request #91 from ryonakano/install-metadata-files
  * Fix desktop file is not installed
  * Merge pull request #86 from
    ryonakano/remove-font-assignment-from-building
  * Merge pull request #87 from ryonakano/use-ellipses
  * Merge pull request #88 from ryonakano/use-gtk-application
  * Use Gtk.Application instead of Granite.Application
  * Use ellipses instead of three dots
  * Remove font assignment from building
  * Revert font decision
* Mon Sep 24 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.4.7:
  * Bump release so I can do the actual AppCenter update
* Mon Sep 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.4.6:
  * Clean deb-packaging branch
* Sat Sep  8 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.4.5:
  * fix an oops
  * new UI, same ol' app.
* Tue Jul 10 2018 avvissu@yandex.by
- Update to 1.4.2:
  * Add ja to LINGUAS
  * Merge pull request #71 from MonkeyAndres/master
  * Disable resize
  * Modify note size
  * Update MainWindow.vala
  * Update README.md
- Switch to metainfo from appdata
- Remove obsoletes macros
* Mon Mar 26 2018 avvissu@yandex.by
- Update to 1.4.0:
  * - yet another small thing
  * - small fix here
  * 1.3.9 - Add option to create new notes from the Dock/Apps
  * Adding more keyboard shortcuts
  * Update com.github.lainsce.notejot.desktop
  * Add pl.po
  * Update LINGUAS
  * Add files via upload
* Tue Jan 30 2018 avvissu@yandex.by
- Update to 1.3.8:
  * - update date in changelog
  * add spanish traslate
* Fri Jan 12 2018 avvissu@yandex.by
- Update to 1.3.7:
  * move this file to a proper repo
  * Update com.github.lainsce.notejot.json
  * setting up flatpak
  * Create com.github.lainsce.notejot.json
  * Update README.md
  * Update lt.po
* Tue Dec 26 2017 jengelh@inai.de
- Ensure neutrality of description.
* Tue Nov 21 2017 avvissu@yandex.by
- Update to 1.3.6:
  * - Simplify deleting notes in-code
  * - Fix some dates
  * 1.3.5 - If all notes are deleted, default title is used
  * 1.3.5 - Fix the operations about updating the storage
  * 1.3.5 - Save notes properly in every case.
  * 1.3.4 - minor CSS fix to update note colors properly
  * 1.3.4 - Update storage/data if app is killed
  * 1.3.4 - Bump version
  * Improve editable title
  * - add travis badge on main readme
  * 1.3.3 - Actually save notes content on every change
  * - small changelog fix
  * 1.3.2 - Fix saving notes contents as they change
* Tue Nov  7 2017 avvissu@yandex.by
- Initial package
